pydo.image_actions.list()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.image_actions.list(image_id=62137902)
Returns JSONRaises HttpResponseError

Description

To retrieve all actions that have been executed on an image, send a GET request to /v2/images/{image_id}/actions.

Parameters

image_id integer required

A unique number that can be used to identify and reference a specific image.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.image_actions.list(image_id=7938269)

Response Example

Show Response Example
{
  "actions": [
    {
      "id": 29410565,
      "status": "completed",
      "type": "transfer",
      "started_at": "2014-07-25T15:04:21Z",
      "completed_at": "2014-07-25T15:10:20Z",
      "resource_id": 7555620,
      "resource_type": "image",
      "region": {
        "name": "New York 2",
        "slug": "nyc2",
        "sizes": [
          "s-1vcpu-3gb",
          "m-1vcpu-8gb",
          "s-3vcpu-1gb",
          "s-1vcpu-2gb",
          "s-2vcpu-2gb",
          "s-2vcpu-4gb",
          "s-4vcpu-8gb",
          "s-6vcpu-16gb",
          "s-8vcpu-32gb",
          "s-12vcpu-48gb",
          "s-16vcpu-64gb",
          "s-20vcpu-96gb",
          "s-1vcpu-1gb",
          "c-1vcpu-2gb",
          "s-24vcpu-128gb"
        ],
        "features": [
          "private_networking",
          "backups",
          "ipv6",
          "metadata",
          "server_id",
          "install_agent",
          "storage",
          "image_transfer"
        ],
        "available": true
      },
      "region_slug": "nyc2"
    }
  ],
  "links": {
    "pages": {
      "last": "https://api.digitalocean.com/v2/images/7555620/actions?page=5&per_page=1",
      "next": "https://api.digitalocean.com/v2/images/7555620/actions?page=2&per_page=1"
    }
  },
  "meta": {
    "total": 5
  }
}

More Information

See /v2/images/{image_id}/actions in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.